Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.knipp.rritoolkit.response
Enum ContactCheckResponse.State

    java.lang.Object
      java.lang.Enum<ContactCheckResponse.State>
          de.knipp.rritoolkit.response.ContactCheckResponse.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContactCheckResponse.State>

Enclosing class:
  ContactCheckResponse

    public static enum ContactCheckResponse.State

extends java.lang.Enum<ContactCheckResponse.State>

enumeration for the different states

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Enum Constant Summary
`Exists` contact handle exists
`Free` contact handle is free
`Invalid` contact handle is invalid

Field Summary
`private java.lang.String` | `denicToken` the DENIC token
`private static java.util.Map<java.lang.String,ContactCheckResponse.State>` | `tokenMap` map from the token to the type

Method Summary
`static ContactCheckResponse.State` | `fromToken(java.lang.String denicToken)` returns the state for the given token
`java.lang.String` | `getDenicToken()` returns the DENIC token
`static ContactCheckResponse.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContactCheckResponse.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Free

    public static final ContactCheckResponse.State Free

  contact handle is free

### Exists

    public static final ContactCheckResponse.State Exists

  contact handle exists

### Invalid

    public static final ContactCheckResponse.State Invalid

  contact handle is invalid

Field Detail

### denicToken

    private java.lang.String denicToken

  the DENIC token

### tokenMap

    private static final java.util.Map<java.lang.String,ContactCheckResponse.State> tokenMap

  map from the token to the type

Method Detail

### values

    public static ContactCheckResponse.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactCheckResponse.State c : ContactCheckResponse.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactCheckResponse.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getDenicToken

    public java.lang.String getDenicToken()

  returns the DENIC token

  Returns:
    the token

### fromToken

    public static ContactCheckResponse.State fromToken(java.lang.String denicToken)

  returns the state for the given token

  Parameters:
    `denicToken` - the token
  Returns:
    the state, or `null` if the token is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH